---
inputType: "CA10A1__CaAwsSageMakerNotebookInstance__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10A1__CaAwsSageMakerNotebookInstance__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The SageMaker Notebook Instance is not currently in service."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10A1__status__c"
        right:
          TEXT: "InService"
  - status: "INCOMPLIANT"
    currentStateMessage: "Root access is enabled for this notebook instance."
    remediationMessage: "Disable root access for the notebook instance."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10A1__rootAccess__c"
        right:
          TEXT: "Enabled"
  - status: "COMPLIANT"
    currentStateMessage: "Root access is disabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10A1__rootAccess__c"
        right:
          TEXT: "Disabled"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the fields."